# Uses of Interface
org.apache.commons.math3.genetics.MutationPolicy

Packages that use MutationPolicy
Package
Description
org.apache.commons.math3.genetics
This package provides Genetic Algorithms components and implementations.

## Uses of MutationPolicy in org.apache.commons.math3.genetics

Classes in org.apache.commons.math3.genetics that implement MutationPolicy
Modifier and Type
Class
Description
`class`
`BinaryMutation`
Mutation for `BinaryChromosome`s.
`class`
`RandomKeyMutation`
Mutation operator for `RandomKey`s.
Methods in org.apache.commons.math3.genetics that return MutationPolicy
Modifier and Type
Method
Description
`MutationPolicy`
GeneticAlgorithm.`getMutationPolicy()`
Returns the mutation policy.
Constructors in org.apache.commons.math3.genetics with parameters of type MutationPolicy
Modifier
Constructor
Description
``
`GeneticAlgorithm(CrossoverPolicy crossoverPolicy, double crossoverRate, MutationPolicy mutationPolicy, double mutationRate, SelectionPolicy selectionPolicy)`
Create a new genetic algorithm.